package com.sw.mes.issue.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.issue.dao.YbIssueDetialDao;
import com.sw.mes.issue.entity.YbIssueDetial;
import com.sw.mes.issue.service.YbIssueDetialService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class YbIssueDetialServiceImpl extends BaseServiceImpl<YbIssueDetial> implements YbIssueDetialService {
    YbIssueDetialDao dao;
	@Autowired
    public void setDao(YbIssueDetialDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public String findByCrystalNoAndIssueId(String crystalNo) {
        return dao.findByCrystalNoAndIssueId(crystalNo);
    }

    @Override
    public List<YbIssueDetial> findByIssueId(Long id) {
        return dao.findByIssueId(id);
    }

    @Override
    public YbIssueDetial findByIssueIdByCrystalNo(String crystalNo) {
        return dao.findByIssueIdByCrystalNo(crystalNo);
    }
}
